## qpsmtpd 0.84

=== debian/changelog ===
qpsmtpd (0.84-8) unstable; urgency=low

  * Rebuild with Danish translation and garbled changelog fix (and
    nothing else, this time)

 -- Devin Carraway <devin@debian.org>  Wed, 22 Aug 2012 22:57:29 -0700

qpsmtpd (0.84-7) unstable; urgency=low

  * Add Danish translation; thanks to Joe Dalton <joedalton2@yahoo.dk>
    (Closes: #685412)

 -- Devin Carraway <devin@debian.org>  Wed, 22 Aug 2012 01:04:09 -0700

qpsmtpd (0.84-6) unstable; urgency=low

  * Add Italian translation; thanks to Beatrice Torracca <beatricet@libero.it>
    (Closes: #668169)
  * Standards-version 3.9.3, debian/rules updates

 -- Devin Carraway <devin@debian.org>  Wed, 11 Apr 2012 01:43:28 -0800

qpsmtpd (0.84-5) unstable; urgency=medium

  * Add spf_plugin-upstream-02912602842.patch containing updated
    sender_permitted_from plugin from upstream.  Replaces a dependency
    on RC-buggy libmail-spf-query-perl with libmail-spf-perl.  (Closes:
    #607472)
  * Fix typo in package description (Closes: #607127)
  * Elevated urgency for RC bug fix

 -- Devin Carraway <devin@debian.org>  Thu, 23 Dec 2010 02:15:27 -0800

qpsmtpd (0.84-4) unstable; urgency=low

  * Update Spanish translation; thanks to Francisco Cuadrado (Closes:
    #600507)

 -- Devin Carraway <devin@debian.org>  Thu, 04 Nov 2010 01:20:48 -0700

qpsmtpd (0.84-3) unstable; urgency=low

  * Update Czech debconf translation; thanks to Miroslav Kure (Closes:
    #600217)

 -- Devin Carraway <devin@debian.org>  Fri, 15 Oct 2010 23:49:52 -0700

qpsmtpd (0.84-2) unstable; urgency=low

  * Update Portuguese debconf translation; thanks to Traduz (Closes:
    #579809)
  * Standards-version 3.9.1, no changes needed

 -- Devin Carraway <devin@debian.org>  Mon, 04 Oct 2010 01:20:03 -0700

qpsmtpd (0.84-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.8.4
  * Transition to dpkg-source 3.0 (quilt) format
  * Remove whatis patch, accepted upstream
  * Fix non-virtual facilities declared virtual in init.d (Closes: #574557)
  * Update Swedish debconf translation; thanks to Martin Bagge (Closes: #564131)

 -- Devin Carraway <devin@debian.org>  Wed, 07 Apr 2010 23:41:56 -0700

qpsmtpd (0.83-2) unstable; urgency=low

  * Update French debconf translation, thanks to Steve Petruzzello
    (Closes: #564838)
  * Update Russian debconf translation, thanks to Yuri Kozlov (Closes:
    #563643)
  * Update German debconf translation, thanks to Helge Kreutzmann
    (Closes: #562978)
  * Patch in a whatis section on Qpsmtpd.pm and Postfix.pm's POD

 -- Devin Carraway <devin@debian.org>  Tue, 12 Jan 2010 00:25:43 -0800

qpsmtpd (0.83-1) unstable; urgency=low

  * New upstream release.
  * Update Czech debconf translation (Closes: #534795)
  * Add Russian debconf translation; thanks to Yuri Kozlov (Closes: #554355)
  * Reorder postinst to remove the qpsmtpd user only after dropping
    statoverrides that depend on it
  * Offer forkserver and prefork server types as debconf options
    (Closes: #414162)
  * Tidy/fix qpsmtpd.config (Closes: #560343)
  * Expand interface selection debconf template to explain optional port
    selection (Closes: #540791)
  * Standards-Version 3.8.3
  * (Some) lintian fixes

 -- Devin Carraway <devin@debian.org>  Sat, 12 Dec 2009 23:57:54 -0800

qpsmtpd (0.81-2) unstable; urgency=low

  * Switch the default server type back to forkserver; 0.81-1 inadvertantly
    used prefork as a default.
  * Depend on libsocket6-perl, since dh_perl won't pick it up without help.

 -- Devin Carraway <devin@debian.org>  Sun, 19 Apr 2009 12:47:21 -0700

qpsmtpd (0.81-1) unstable; urgency=low

  * New upstream release (Closes: #510829)
  * Depend on libipc-shareable-perl to enable use of qpsmtpd-prefork; prefork
    is included in this release but is not yet used by default, pending
    upstream support for listening on multiple sockets (Closes: #498519)
  * Add new Spanish translation; thanks to Francisco Cuadrado
    (Closes: #520209)
  * Standards-Version 3.8.1

 -- Devin Carraway <devin@debian.org>  Fri, 10 Apr 2009 19:38:20 -0700

qpsmtpd (0.40-3) unstable; urgency=low

  * Update Swedish translation; thanks to Martin Ågren (Closes: #492885)
  * Fix overlength line in copyright file

 -- Devin Carraway <devin@debian.org>  Thu, 31 Jul 2008 21:03:00 -0700

qpsmtpd (0.40-2) unstable; urgency=low

  * Add Portuguese debconf translation; thanks to Miguel Figueiredo
  * Update French debconf translation; thanks to Christian Perrier
  * Update German debconf translation; thanks to Helge Kreutzmann

 -- Devin Carraway <devin@debian.org>  Sat, 15 Sep 2007 23:52:39 -0700

qpsmtpd (0.40-1) unstable; urgency=low

  * New upstream release (Closes: #431933)
    + Obsoletes smtp-loglevel.patch, greylist-distrodirs.patch
  * Add German translation; thanks to Helge Kreutzmann (Closes: #431878)
  * Fix word choice and typos in debconf templates (Closes: #431882)

 -- Devin Carraway <devin@debian.org>  Thu, 14 Jun 2007 00:37:10 -0700

qpsmtpd (0.32-6) unstable; urgency=low

  * Update Czech translation; thanks to Miroslav Kure (Closes: #408657)

 -- Devin Carraway <devin@debian.org>  Mon, 19 Feb 2007 01:37:10 -0800

qpsmtpd (0.32-5) unstable; urgency=high

  * Apply patch to fix support for multiple plugin directories (Closes:
    #389025)

 -- Devin Carraway <devin@debian.org>  Sun, 31 Dec 2006 10:31:42 -0800

qpsmtpd (0.32-4) unstable; urgency=low

  * Fix a backwards translation in formatting host:port for smtp-forward
    (Closes: #386664)
  * Update fr debconf translation; thanks to Steve Petruzzelo
    <dlist@bluewin.ch> (Closes: #381298)
  * Move suggested spamassassin plugin placement after clamav in
    /etc/qpsmtpd/plugins (Closes: #384319)
  * Apply change#642 from upstream, fixing response to HELP in SMTP
    conversation (Closes: #381322)
  * Update init.d script for LSB 3.1.0 by adding init-info section and
    status command

 -- Devin Carraway <devin@debian.org>  Sat, 23 Sep 2006 00:58:47 -0700

qpsmtpd (0.32-3) unstable; urgency=low


