## qpsmtpd 0.94

=== debian/changelog ===
qpsmtpd (0.94-8) unstable; urgency=medium

  * QA upload.
  * d/control: Remove outdated debconf version constraint (Closes: #1096120)

 -- Gioele Barabucci <gioele@svario.it>  Fri, 21 Mar 2025 21:59:14 +0100

qpsmtpd (0.94-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Set Homepage field in Source rather than Binary package.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace obsolete lsb-base build dependency with sysvinit-utils (>= 3.05-4~).
  * Updated d/watch to check github project for new versions.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jun 2024 19:35:59 +0200

qpsmtpd (0.94-6) unstable; urgency=medium

  * QA upload.
  * Prepend header properly. (Closes: #933679)

 -- Peter J. Holzer <hjp@hjp.at>  Sun, 20 Aug 2023 21:32:18 +0200

qpsmtpd (0.94-5) unstable; urgency=medium

  * QA upload.
  * Update Italian debconf translation from Beatrice Torracca. (Closes:
    #952803)
  * Update Swedish debconf translation from Martin Bagge / brother and Anders
    Jonsson. (Closes: #994185)
  * Add Brazilian Portuguese debconf translation from Paulo Henrique de Lima
    Santana. (Closes: #1025723)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 26 Feb 2023 07:27:27 +0100

qpsmtpd (0.94-4) unstable; urgency=medium

  * QA upload.
  * Fix typo in template and unfuzzy existing translations. (Closes: #914121)
  * Update Dutch debconf translation from Frans Spiesschaert. (Closes: #916356)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 11 Jan 2019 09:47:53 +0100

qpsmtpd (0.94-3) unstable; urgency=medium

  * QA upload.
  * Depend on lsb-base as noted by lintian.
  * Switch priority extra to optional as noted by lintian.
  * Add Dutch debconf translation from Frans Spiesschaert (Closes: #766628).
  * Update French from Steve Petruzzello (Closes: #780433).
  * Add Danish from Joe Dalton (Closes: #781340).
  * Update German from Helge Kreutzmann (Closes: #815699).
  * Updated Japanese from Takuma Yamada (Closes: #819024).
  * Updated Portuguese from Rui Branco and Tiago Fernandes
    (Closes: #859946, #872982).

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 11 Nov 2018 10:19:03 +0100

qpsmtpd (0.94-2) unstable; urgency=medium

  * Ship backwards-compatibility wrappers for check_ plugins.  See
    /usr/share/doc/qpsmtpd/README.check_plugins for migration
    instructions.  (Closes: #767815)

 -- Devin Carraway <devin@debian.org>  Sat, 21 Feb 2015 23:50:17 -0800

qpsmtpd (0.94-1) unstable; urgency=medium

  * New upstream release.  0.94 has a great many upstream changes, some of
    which affect behavior.  See UPGRADING.pod for more details.
  * pod2man-utf8.patch: Avoid a lintian warning for undeclared UTF8
    encoding in pod2man-generated output
  * Stop advertising sysvinit-style reload, and restart rather than reload in
    logrotate conf (Closes: #764257)
  * Patch import/syntactical errors in plugins/auth/auth_ldap_bind
    (Closes: #706906)

 -- Devin Carraway <devin@debian.org>  Tue, 21 Oct 2014 23:59:36 -0700

qpsmtpd (0.84-11) unstable; urgency=low

  * Add Japanese debconf translation; thanks to victory (Closes:
    #718918)

 -- Devin Carraway <devin@debian.org>  Tue, 13 Aug 2013 00:01:15 -0700

qpsmtpd (0.84-10) unstable; urgency=low

  * Apply patch to silence IPv6-related warnings (Closes: #693179)
  * Standards-version 3.9.4

 -- Devin Carraway <devin@debian.org>  Mon, 01 Jul 2013 18:24:33 -0700

qpsmtpd (0.84-9) unstable; urgency=low

  * Apply patch to prevent hang in SPF plugin under IPv6 (Closes:
    #693181)
  * Declare missing dependency on libio-socket-inet6-perl (Closes:
    #693103)
  * Add Slovak translation; thanks to Slavko (Closes: #686156)

 -- Devin Carraway <devin@debian.org>  Sun, 02 Dec 2012 21:34:02 -0800
