=== debian/control ===
Source: qpsmtpd
Section: mail
Priority: optional
Build-Depends: debhelper-compat (= 13), perl,
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/qpsmtpd
Vcs-Git: https://salsa.debian.org/debian/qpsmtpd.git
Homepage: http://smtpd.develooper.com/

Package: qpsmtpd
Architecture: all
Depends: adduser (>= 3.0),
         libclamav-client-perl,
         libdigest-hmac-perl,
         libio-socket-inet6-perl,
         libipc-shareable-perl,
         libmail-spf-perl (>= 2.8.0),
         libmailtools-perl,
         libnet-dns-perl,
         libnet-perl,
         libsocket6-perl,
         sysvinit-utils (>= 3.05-4~),
         ${misc:Depends},
         ${perl:Depends},
Suggests: clamav-daemon,
          libnet-ldap-perl,
          spamassassin (>= 3.0.0),
          tinycdb,
Description: Flexible SMTP daemon for network-level spam detection
 This is a replacement SMTP daemon which installs alongside a mail delivery
 and transport system such as Exim, Postfix or Qmail, or used as an SMTP
 proxy for a remote/DMZ MTA.
 .
 The qpsmtpd damon emphasizes spam detection during the SMTP transaction,
 attempting to reach spam/nonspam decisions prior to accepting each message,
 thereby eliminating much bounce/forgery blowback.  It exploits its visbility
 into the network transaction to detect certain behaviors often exhibited by
 spam sending agents.
 .
 Qpsmtpd is written in Perl, with an extensive plugin API making it easy to
 add new features or replace functional components.
