=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,8 @@
 clean:
 	dh_testdir
 	dh_testroot
-	[ ! -f "Makefile" ] || $(MAKE) realclean
+	dh_auto_clean
 	dh_clean
-	rm -f build-stamp
 
 configure:
 	dh_testdir
@@ -19,13 +18,12 @@
 build-indep: build-stamp
 build-stamp: configure
 	dh_testdir
+	dh_prep
 	$(MAKE)
-	touch build-stamp
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/qpsmtpd
 	# Comment out this line to omit the usual deletion of the qpsmtpd
@@ -33,9 +31,8 @@
 	# qpsmtpd-forkserver to avoid a non-free dependency on tcpserver.
 	rm -f $(CURDIR)/debian/qpsmtpd/usr/bin/qpsmtpd
 	# Comment out this line to omit the usual deletion of qpsmtpd-async,
-	# which is included in the main qpsmtpd distribution but has not
-	# stabilized enough for mainstream use and introduces compatibility
-	# problems with some plugins.
+	# which is included in the main qpsmtpd distribution as of 0.94 but
+	# is abandoned upstream and has since been removed from upstream git.
 	rm -f $(CURDIR)/debian/qpsmtpd/usr/bin/qpsmtpd-async
 	# /var/spool/qpsmtpd will be chown'ed by postinst
 	install -m 700 -d $(CURDIR)/debian/qpsmtpd/var/spool/qpsmtpd
@@ -53,21 +50,23 @@
 	# install lintian overrides
 	install -m 755 -d $(CURDIR)/debian/qpsmtpd/usr/share/lintian/overrides
 	install -m 644 debian/qpsmtpd.lintian $(CURDIR)/debian/qpsmtpd/usr/share/lintian/overrides/qpsmtpd
+	# install documentation POD
+	install -m 755 -d $(CURDIR)/debian/qpsmtpd/usr/share/doc/qpsmtpd
+	cp -a $(CURDIR)/docs/* $(CURDIR)/debian/qpsmtpd/usr/share/doc/qpsmtpd
+	cp -a $(CURDIR)/UPGRADING.pod $(CURDIR)/debian/qpsmtpd/usr/share/doc/qpsmtpd
 	# remove pf2qp.pl, used to generate Constants.pm in upstream SVN
 	rm -f $(CURDIR)/debian/qpsmtpd/usr/share/perl5/Qpsmtpd/Postfix/pf2qp.pl
 
 binary-arch: build install
 # nothing arch-dependent
 
-
-
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
+	dh_installdocs $(CURDIR)/debian/README.check_plugins
 	dh_installman \
 		 $(CURDIR)/debian/qpsmtpd-forkserver.8 \
-		 $(CURDIR)/debian/qpsmtpd-prefork.8 
+		 $(CURDIR)/debian/qpsmtpd-prefork.8
 	dh_installdebconf
 	dh_installlogrotate
 	dh_installchangelogs Changes
@@ -87,5 +86,4 @@
 binary: binary-indep binary-arch
 .PHONY: clean build binary-indep binary-arch binary
 
-
 # vi:set noexpandtab:
