=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xball-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/smtpd/qpsmtpd/tags .*/v?(\d\S*)\.tar\.gz
